DevHeads.net

soname version bump for evolution-data-server in rawhide

Hello,
next week's 3.29.3 release of evolution-data-server (on 2018-06-18)
will contain soname version bumps of libcamel and libedata-cal. I
expect that most of the packages can be just rebuilt.

I cannot provide the complete list of affected packages, because dnf is
inaccurate [1]. There's definitely no need to rebuild everything what
requires evolution-data-server, the less indirectly, as long as it's
not statically linked, which I doubt.

The main evolution packages (evolution, evolution-ews and evolution-
mapi) will be updated at the same time as evolution-data-server. The
other surely affected are evolution-rss and evolution-rspam.

I'll check what breaks after the update is done and available for
download and I'll rebuild packages I've commit rights for myself,
unless the main maintainer(s) will be quicker.
Bye,
Milan

[1] <a href="https://bugzilla.redhat.com/show_bug.cgi?id=1589722" title="https://bugzilla.redhat.com/show_bug.cgi?id=1589722">https://bugzilla.redhat.com/show_bug.cgi?id=1589722</a>

Comments

Re: soname version bump for evolution-data-server in

By Fabio Valentini at 06/13/2018 - 16:31

On Mon, Jun 11, 2018 at 11:29 AM Milan Crha < ... at redhat dot com> wrote:
Hi!

I have two packages which BuildRequire: evolution-data-server-devel:

- elementary-calendar (formerly maya-calendar)
- wingpanel-indicator-datetime

I'll take care of rebuilding them myself after the new version is
available in rawhide, as I'm currently doing a rebuild due to an
soname bump in a side tag myself.

Fabio